Ryzehosting
  1. server
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. server

vnc

GET
server/vnc

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/server/vnc' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "uuid": "019b1fc5-83e5-81b1-9592-1537b03ad483"
}'
Response Response Example
200 - Success
{
    "response": "VNC URL generated successfully",
    "state": "success",
    "code": 200,
    "data": {
        "vnc_url": "https://novnc.eu/vnc.html#host=novnc.eu&port=443&encrypt=1&path=%3Ftoken=ef85d72ded0c0963dea58cbd382b8779&password=%60%60%2A8%2B%40H%29&autoconnect=1&show_dot=true&scaleViewport=true"
    }
}
Modified at 2025-12-30 03:59:06
Previous
order
Next
list
Built with